# containers.podman.podman_volume_info module – Gather info about podman volumes

Note

This module is part of the containers.podman collection (version 1.20.0).

It is not included in `ansible-core`. To check whether it is installed, run `ansible-galaxy collection list`.

To install it, use: `ansible-galaxy collection install containers.podman`. You need further requirements to be able to use this module, see Requirements for details.

To use it in a playbook, specify: `containers.podman.podman_volume_info`.

## Synopsis

- Gather info about podman volumes with podman inspect command.

## Requirements

The below requirements are needed on the host that executes this module.

- Podman installed on host

## Parameters

Parameter | Comments
--- | ---
executable string | Path to `podman` executable if it is not in the `$PATH` on the machine running `podman` Default: `"podman"`
name string | Name of the volume

## Examples

    - name: Gather info about all present volumes
      podman_volume_info:

    - name: Gather info about specific volume
      podman_volume_info:
        name: specific_volume

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Description
--- | ---
volumes list / elements=string | Facts from all or specified volumes Returned: always Sample: `[{"CreatedAt": "2023-11-30T16:41:31.310865559+02:00", "Driver": "local", "Labels": {}, "LockNumber": 18, "MountCount": 0, "Mountpoint": "/home/user/.local/share/containers/storage/volumes/postgres9/_data", "Name": "postgres9", "NeedsChown": true, "NeedsCopyUp": true, "Options": {}, "Scope": "local"}]`

### Authors

- Sagi Shnaidman (@sshnaidm)

### Collection links

- Issue Tracker
- Repository (Sources)